Permalink
Browse files

documentation: update dependency list

add pkgconfig (used at configure time) and remove xsltproc
  • Loading branch information...
1 parent 4739acf commit 61cd9271b88f77c1259c414ec3f1b9b8a21ad753 @carenas carenas committed Jan 24, 2012
Showing with 6 additions and 4 deletions.
  1. +1 −0 INSTALL
  2. +1 −1 README.GIT
  3. +3 −2 README.WIN
  4. +1 −1 ganglia.spec.in
View
@@ -7,6 +7,7 @@ Dependencies
* APR (http://apr.apache.org/)
* libConfuse (http://www.nongnu.org/confuse/)
* expat (http://expat.sourceforge.net/)
+* pkg-config (http://www.freedesktop.org/wiki/Software/pkg-config)
* python (http://www.python.org/)
* PCRE (http://www.pcre.org/)
* RRDtool (http://oss.oetiker.ch/rrdtool/)
View
@@ -9,7 +9,7 @@ at least the following tools installed.
automake (GNU automake) 1.8.3
autoconf (GNU autoconf) 2.53
ltmain.sh (GNU libtool) 1.4.2
- xsltproc (The XSLT C library for GNOME)
+ pkg-config (FreeDesktop)
Additionally, you might need the following
View
@@ -33,13 +33,14 @@ Cygwin with the following packages:
* libapr1-devel (Libs)
* make (Devel)
* sunrpc (Libs)
+* pkg-config (Devel)
Optionally you will need the following packages for additional functionality
as described in the INSTALL document and which will be otherwise selected
at build time by the configure call:
-* libpcre-devel (libs) : avoid "without-libpcre" parameter to configure
-* python (Python)
+* libpcre-devel (libs) : disabled by "without-libpcre" flag to configure
+* python (Python) : disabled by "disable-python" flag to configure
Process
-------
View
@@ -23,7 +23,7 @@ Vendor: Ganglia Development Team <ganglia-developers@lists.sourceforge.net>
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
-BuildRequires: libpng-devel, libart_lgpl-devel, gcc-c++, python-devel, libconfuse-devel, make, pcre-devel, autoconf, automake, libtool, libxslt
+BuildRequires: libpng-devel, libart_lgpl-devel, gcc-c++, python-devel, libconfuse-devel, make, pcre-devel, autoconf, automake, libtool, pkgconfig
%if 0%{?suse_version}
BuildRequires: freetype2-devel, libapr1-devel
%if 0%{?suse_version} > 1020

0 comments on commit 61cd927

Please sign in to comment.